from typing import Optional, Dict, Any

# from aiogram.types import TelegramObject # Больше не нужен

from bot.database.db import get_all_users
from bot.database.models import User as DbUser
# import logging # Убираем импорт, если он больше нигде не используется

async def get_partner(current_user_id: int) -> Optional[DbUser]:
    """Находит второго зарегистрированного пользователя (партнера)."""
    users = await get_all_users()
    if len(users) != 2:
        return None
    for user in users:
        if user.id is not None and user.id != current_user_id:
            return user
    return None

# УДАЛЯЕМ ФУНКЦИЮ ЗАВИСИМОСТИ
# async def get_current_db_user(data: Dict[str, Any]) -> DbUser:
#     ... 